Bug 1316817 - [Doc RFE] Add section and provide steps for creating a thickly Provisioned Logical Volume
[Doc RFE] Add section and provide steps for creating a thickly Provisioned Lo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: RHGS 3.2.0
Assigned To: Divya
Rahul Hinduja
: FutureFeature
Depends On:
Blocks: 1493493 1351549
  Show dependency treegraph
 
Reported: 2016-03-11 03:26 EST by Divya
Modified: 2017-09-20 06:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1493493 (view as bug list)
Environment:
Last Closed: 2017-03-24 06:20:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Divya 2016-03-11 03:26:40 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3/html/Administration_Guide/Formatting_and_Mounting_Bricks.html

Section Number and Name: 6.2. Formatting and Mounting Bricks

Describe the issue: The information in this section does not call out the steps for creating a thickly Provisioned Logical Volume. 

We have sub-section only for thinly provisioned logical volume (Creating a Thinly Provisioned Logical Volume) and nothing specific for thickly provisioned logical volume. This could confuse users using thickly provisioned logical volume.
Comment 3 Divya 2016-09-01 04:10:58 EDT
Created a google doc to collate inputs and draft the documentation for this bug.

Link to the google doc: https://docs.google.com/a/redhat.com/document/d/1oCZMXfZeBdYLk2MnJn28n4Yi-ySQaS-7Z4lQqgcNXKs/edit?usp=sharing
Comment 4 Divya 2017-02-14 02:38:27 EST
While working on the content, I realized that the steps for thickly provisioned volumes are buried under "Formatting and Mounting Bricks" heading unlike a separate section/heading for thinly provisioned volumes. This could cause confusion to the customers as well.

So the scope of the bug is modified to re-organise the existing content by creating separate sections for thickly and thinly provisioned volumes. Also, I have created sections for "Using subdirectory as the brick for Volume", "Reusing a Brick from a Deleted Volume" and "Cleaning An Unusable Brick" information.

Link to the revised doc: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-BZ-1316817-reorganisation_formating_mounting_bricks/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Formatting_and_Mounting_Bricks

Link to the doc before reorg: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Formatting_and_Mounting_Bricks
Comment 6 Divya 2017-02-16 22:56:13 EST
Thanks, Laura!

Re-organised the existing content by creating separate sections for thickly and thinly provisioned volumes. Also, I have created sections for "Using subdirectory as the brick for Volume", "Reusing a Brick from a Deleted Volume" and "Cleaning An Unusable Brick" information.

Link to the latest doc: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Formatting_and_Mounting_Bricks

Moving the bug ON_QA.
Comment 7 Prasad Desala 2017-02-21 04:53:06 EST
Verified the link provided in comment 6 and the changes looks good.
Moving this BZ to Verified.
Comment 8 Rejy M Cyriac 2017-03-24 06:20:28 EDT
RHGS 3.2.0 GA completed on 23 March 2017

Note You need to log in before you can comment on or make changes to this bug.